' -----------------------------------------------
' switch-over-tool
'
' 0.8.6 or 0.9.0-RC1/RC2 => 0.9.3-4
'
' @author yousuke.hara@gmail.com
' -----------------------------------------------
Option Explicit

Const ssfDRIVES = &h11
Const BIF_RETURNONLYFSDIRS   = &h0001
Const BIF_EDITBOX            = &h0010   ' IE5
Const BIF_BROWSEINCLUDEFILES = &h4000   ' IE5

Function GetFolder(bFile)
  Dim oShell
  Dim oFolder

  bFile = False ' assume select as a Folder path
  Set oShell = CreateObject("Shell.Application")
  Set oFolder =_
    oShell.BrowseForFolder(0, "Select folder (or file, if you can do it!)",_
      BIF_EDITBOX Or BIF_BROWSEINCLUDEFILES, ssfDRIVES)
  Set oShell = Nothing

  If Not oFolder Is Nothing Then
    On Error Resume Next
    GetFolder = oFolder.Items.Item.Path
    If Err = 7 Then ' it may be a File
      'On Error Goto 0
      Dim Fn, i

      Err.Clear
      bFile = True
      Fn = oFolder.Title
      Do
        Set oFolder = oFolder.ParentFolder
        i = InStr(oFolder.Title, ":")
        If i <> 0 Then
          Fn = Mid(oFolder.Title, i-1, 2) & "\" & Fn
          Exit Do
        End If
        Fn = oFolder.Title & "\" & Fn
      Loop Until Err <> 0
      If Err <> 0 Then Fn = ""  ' Not a File
      GetFolder = Fn
    End If
    Set oFolder = Nothing
  End If
End Function

Dim path, bfi, shell
path = GetFolder(bfi)
If path <> "" Then
  Dim note
  If bfi Then note = "File" Else note = "Folder"

  Dim WshShell
  Set WshShell = CreateObject("WScript.Shell")
  WshShell.Run "sql-launcher.bat " + path
End If